/**
 * Browshot API
 * Take screenshots of any website in real time
 *
 * OpenAPI spec version: 1.16.0
 * Contact: support@browshot.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package io.swagger.client.model


case class Screenshot (
  /* screenshot ID */
  id: Integer,
  /* status of the request: \"in_queue\", \"processing\", \"finished\", \"error\"  */
  status: String,
  /* description of the problem that occurred */
  error: String,
  /* priority given to the screenshot: high (1) to low (3) */
  priority: Integer,
  /* original URL requested */
  url: String,
  /* screenshot size requested */
  size: String,
  /* screenshot width */
  width: Integer,
  /* screenshot height */
  height: Integer,
  /* URL of the screenshot (redirections can occur) */
  finalUrl: String,
  /* image scale. Always 1 for desktop browsers; mobiles may change the scale (zoom in or zoom out) to fit the page on the screen */
  scale: Double,
  /* instance ID used for the screenshot */
  instanceId: Integer,
  /* number of credits spent for the screenshot */
  cost: Integer,
  /* custom referrer used (see Custom POST Data, Referer and Cookie) */
  referer: String,
  /* POST data sent (see Custom POST Data, Referer and Cookie) */
  postData: String,
  /* custom cookie used (see Custom POST Data, Referer and Cookie) */
  cookie: String,
  /* number of seconds to wait after page load */
  delay: Integer,
  /* number of seconds to wait after page load if Flash elements are present */
  flashDelay: Integer,
  /* level of details about the screenshot and the page */
  details: Integer,
  /* URL of optional javascript file executed after the page load event */
  script: String,
  /* if the screenshot was shared, show the public URL */
  sharedUrl: String
)
